> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.itspropel.com/llms.txt.
> For full documentation content, see https://docs.itspropel.com/llms-full.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.itspropel.com/_mcp/server.

# Update Template Day

PATCH https://companies/%7Bcompany_id%7D/config/shift-templates/%7Btenant_shift_template_id%7D/days/%7Btenant_shift_template_detail_id%7D
Content-Type: multipart/form-data

Reference: https://docs.itspropel.com/propel-biz/03-company/03-company-config/shift-template-details/update-template-day

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: PropelBiz
  version: 1.0.0
paths:
  /companies/%7Bcompany_id%7D/config/shift-templates/%7Btenant_shift_template_id%7D/days/%7Btenant_shift_template_detail_id%7D:
    patch:
      operationId: update-template-day
      summary: Update Template Day
      tags:
        - >-
          subpackage_03Company.subpackage_03Company/03CompanyConfig.subpackage_03Company/03CompanyConfig/shiftTemplateDetails
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/03 Company_03 Company > Config_Shift
                  Template Details_Update Template Day_Response_200
      requestBody:
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                end_time:
                  type: string
                  description: 'Optional: Shift end time - HH:MM:SS format'
                start_time:
                  type: string
                  description: 'Optional: Shift start time - HH:MM:SS format'
                day_of_week:
                  type: string
                  description: 'Optional: Day of week - 0=Sunday, 1=Monday, ..., 6=Saturday'
                is_working_day:
                  type: string
                  description: 'Optional: Is this a working day - true|false'
              required:
                - end_time
                - start_time
                - day_of_week
                - is_working_day
servers:
  - url: https:/
components:
  schemas:
    03 Company_03 Company > Config_Shift Template Details_Update Template Day_Response_200:
      type: object
      properties: {}
      description: Empty response body
      title: >-
        03 Company_03 Company > Config_Shift Template Details_Update Template
        Day_Response_200

```

## SDK Code Examples

```python
import requests

url = "https://https/companies/%7Bcompany_id%7D/config/shift-templates/%7Btenant_shift_template_id%7D/days/%7Btenant_shift_template_detail_id%7D"

payload = "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"end_time\"\r\n\r\n17:00:00\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"start_time\"\r\n\r\n09:00:00\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"day_of_week\"\r\n\r\n1\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"is_working_day\"\r\n\r\ntrue\r\n-----011000010111000001101001--\r\n"
headers = {"Content-Type": "multipart/form-data; boundary=---011000010111000001101001"}

response = requests.patch(url, data=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://https/companies/%7Bcompany_id%7D/config/shift-templates/%7Btenant_shift_template_id%7D/days/%7Btenant_shift_template_detail_id%7D';
const form = new FormData();
form.append('end_time', '17:00:00');
form.append('start_time', '09:00:00');
form.append('day_of_week', '1');
form.append('is_working_day', 'true');

const options = {method: 'PATCH'};

options.body = form;

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://https/companies/%7Bcompany_id%7D/config/shift-templates/%7Btenant_shift_template_id%7D/days/%7Btenant_shift_template_detail_id%7D"

	payload := strings.NewReader("-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"end_time\"\r\n\r\n17:00:00\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"start_time\"\r\n\r\n09:00:00\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"day_of_week\"\r\n\r\n1\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"is_working_day\"\r\n\r\ntrue\r\n-----011000010111000001101001--\r\n")

	req, _ := http.NewRequest("PATCH", url, payload)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://https/companies/%7Bcompany_id%7D/config/shift-templates/%7Btenant_shift_template_id%7D/days/%7Btenant_shift_template_detail_id%7D")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request.body = "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"end_time\"\r\n\r\n17:00:00\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"start_time\"\r\n\r\n09:00:00\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"day_of_week\"\r\n\r\n1\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"is_working_day\"\r\n\r\ntrue\r\n-----011000010111000001101001--\r\n"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://https/companies/%7Bcompany_id%7D/config/shift-templates/%7Btenant_shift_template_id%7D/days/%7Btenant_shift_template_detail_id%7D")
  .body("-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"end_time\"\r\n\r\n17:00:00\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"start_time\"\r\n\r\n09:00:00\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"day_of_week\"\r\n\r\n1\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"is_working_day\"\r\n\r\ntrue\r\n-----011000010111000001101001--\r\n")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://https/companies/%7Bcompany_id%7D/config/shift-templates/%7Btenant_shift_template_id%7D/days/%7Btenant_shift_template_detail_id%7D', [
  'multipart' => [
    [
        'name' => 'end_time',
        'contents' => '17:00:00'
    ],
    [
        'name' => 'start_time',
        'contents' => '09:00:00'
    ],
    [
        'name' => 'day_of_week',
        'contents' => '1'
    ],
    [
        'name' => 'is_working_day',
        'contents' => 'true'
    ]
  ]
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://https/companies/%7Bcompany_id%7D/config/shift-templates/%7Btenant_shift_template_id%7D/days/%7Btenant_shift_template_detail_id%7D");
var request = new RestRequest(Method.PATCH);
request.AddParameter("undefined", "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"end_time\"\r\n\r\n17:00:00\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"start_time\"\r\n\r\n09:00:00\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"day_of_week\"\r\n\r\n1\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"is_working_day\"\r\n\r\ntrue\r\n-----011000010111000001101001--\r\n", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation
let parameters = [
  [
    "name": "end_time",
    "value": "17:00:00"
  ],
  [
    "name": "start_time",
    "value": "09:00:00"
  ],
  [
    "name": "day_of_week",
    "value": "1"
  ],
  [
    "name": "is_working_day",
    "value": "true"
  ]
]

let boundary = "---011000010111000001101001"

var body = ""
var error: NSError? = nil
for param in parameters {
  let paramName = param["name"]!
  body += "--\(boundary)\r\n"
  body += "Content-Disposition:form-data; name=\"\(paramName)\""
  if let filename = param["fileName"] {
    let contentType = param["content-type"]!
    let fileContent = String(contentsOfFile: filename, encoding: String.Encoding.utf8)
    if (error != nil) {
      print(error as Any)
    }
    body += "; filename=\"\(filename)\"\r\n"
    body += "Content-Type: \(contentType)\r\n\r\n"
    body += fileContent
  } else if let paramValue = param["value"] {
    body += "\r\n\r\n\(paramValue)"
  }
}

let request = NSMutableURLRequest(url: NSURL(string: "https://https/companies/%7Bcompany_id%7D/config/shift-templates/%7Btenant_shift_template_id%7D/days/%7Btenant_shift_template_detail_id%7D")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```